kopano-gateway 10.0.1.85.b1cd8ca20-0+288.1 couldn't start



  • 2020-01-30T13:42:30.944038: [kopano-gateway|T17514] [=======] Starting kopano-gateway version 10.0.1 (pid 17514 uid 0)
    2020-01-30T13:42:30.976544: [kopano-gateway|T17514] [=======] Starting kopano-gateway version 10.0.1 (pid 17514 uid 999)
    2020-01-30T13:42:46.272392: [kopano-gateway|T17763] [crit ] ----------------------------------------------------------------------
    2020-01-30T13:42:46.272439: [kopano-gateway|T17763] [crit ] Fatal error detected. Please report all following information.
    2020-01-30T13:42:46.272452: [kopano-gateway|T17763] [crit ] kopano-dagent 10.0.1
    2020-01-30T13:42:46.272463: [kopano-gateway|T17763] [crit ] OS: Ubuntu 18.04.3 LTS (Linux 4.15.0-76-generic x86_64)
    2020-01-30T13:42:46.272469: [kopano-gateway|T17763] [crit ] Thread name: kopano-gateway
    2020-01-30T13:42:46.272479: [kopano-gateway|T17763] [crit ] Peak RSS: 19920
    2020-01-30T13:42:46.272486: [kopano-gateway|T17763] [crit ] Pid 17514 caught SIGSEGV (11), traceback:
    2020-01-30T13:42:46.272490: [kopano-gateway|T17763] [crit ] Backtrace:
    2020-01-30T13:42:46.272697: [kopano-gateway|T17763] [crit ] f0. /usr/lib/x86_64-linux-gnu/libkcutil.so.0(+0x4f030) [0x7fccd46a3030]
    2020-01-30T13:42:46.272706: [kopano-gateway|T17763] [crit ] f1. /usr/lib/x86_64-linux-gnu/libkcutil.so.0(+0x34646) [0x7fccd4688646]
    2020-01-30T13:42:46.272710: [kopano-gateway|T17763] [crit ] f2. /usr/lib/x86_64-linux-gnu/libkcutil.so.0(+0x3637d) [0x7fccd468a37d]
    2020-01-30T13:42:46.272715: [kopano-gateway|T17763] [crit ] f3. /lib/x86_64-linux-gnu/libpthread.so.0(+0x12890) [0x7fccd4447890]
    2020-01-30T13:42:46.272719: [kopano-gateway|T17763] [crit ] f4. /usr/lib/x86_64-linux-gnu/libssl.so.1.1(SSL_accept+0x1) [0x7fccd15d3c41]
    2020-01-30T13:42:46.272724: [kopano-gateway|T17763] [crit ] f5. /usr/lib/x86_64-linux-gnu/libkcutil.so.0(_ZN2KC9ECChannel11HrEnableTLSEv+0x186) [0x7fccd4677996]
    2020-01-30T13:42:46.272729: [kopano-gateway|T17763] [crit ] f6. /usr/sbin/kopano-gateway(+0xd0d8) [0x555722a5f0d8]
    2020-01-30T13:42:46.272733: [kopano-gateway|T17763] [crit ] f7. /lib/x86_64-linux-gnu/libpthread.so.0(+0x76db) [0x7fccd443c6db]
    2020-01-30T13:42:46.272758: [kopano-gateway|T17763] [crit ] f8. /lib/x86_64-linux-gnu/libc.so.6(clone+0x3f) [0x7fccd380d88f]
    2020-01-30T13:42:46.272767: [kopano-gateway|T17763] [crit ] Signal errno: Success, signal code: 1
    2020-01-30T13:42:46.272771: [kopano-gateway|T17763] [crit ] Sender pid: 48, sender uid: 0, si_status: -721514496
    2020-01-30T13:42:46.272776: [kopano-gateway|T17763] [crit ] Signal value: -721514496, faulting address: 0x30
    2020-01-30T13:42:46.272780: [kopano-gateway|T17763] [crit ] When reporting this traceback, please include Linux distribution name (and version), system architecture and Kopano version.



  • Hi,
    getting (nearly) the same error when trying to connect using imaps:

    020-01-30T14:03:30.564508: [kopano-gateway|T2197] [info   ] Accepted connection from 191.168.1.15:41234
    2020-01-30T14:03:30.564564: [kopano-gateway|T2197] [notice ] Starting worker thread for IMAPs request
    2020-01-30T14:03:30.564962: [kopano-gateway|T2224] [info   ] ECChannel::HrEnableTLS(): TLS flags 0xc0420854
    2020-01-30T14:03:30.565037: [kopano-gateway|T2224] [crit   ] ----------------------------------------------------------------------
    2020-01-30T14:03:30.565050: [kopano-gateway|T2224] [crit   ] Fatal error detected. Please report all following information.
    2020-01-30T14:03:30.565063: [kopano-gateway|T2224] [crit   ] kopano-dagent 10.0.1
    2020-01-30T14:03:30.565079: [kopano-gateway|T2224] [crit   ] OS: Debian GNU/Linux 9 (stretch) (Linux 4.9.0-11-amd64 x86_64)
    2020-01-30T14:03:30.565132: [kopano-gateway|T2224] [crit   ] Thread name: kopano-gateway
    2020-01-30T14:03:30.565231: [kopano-gateway|T2224] [crit   ] Peak RSS: 18536
    2020-01-30T14:03:30.565253: [kopano-gateway|T2224] [crit   ] Pid 2197 caught SIGSEGV (11), traceback:
    2020-01-30T14:03:30.565282: [kopano-gateway|T2224] [crit   ] Backtrace:
    2020-01-30T14:03:30.565409: [kopano-gateway|T2197] [info   ] Accepted connection from 191.168.1.15:41236
    2020-01-30T14:03:30.565425: [kopano-gateway|T2197] [notice ] Starting worker thread for IMAPs request
    2020-01-30T14:03:30.565521: [kopano-gateway|T2224] [crit   ] f0. /usr/lib/x86_64-linux-gnu/libkcutil.so.0(+0x511d0) [0x7ff55eb451d0]
    2020-01-30T14:03:30.565536: [kopano-gateway|T2224] [crit   ] f1. /usr/lib/x86_64-linux-gnu/libkcutil.so.0(+0x36b36) [0x7ff55eb2ab36]
    2020-01-30T14:03:30.565546: [kopano-gateway|T2224] [crit   ] f2. /usr/lib/x86_64-linux-gnu/libkcutil.so.0(+0x36d79) [0x7ff55eb2ad79]
    2020-01-30T14:03:30.565557: [kopano-gateway|T2224] [crit   ] f3. /lib/x86_64-linux-gnu/libpthread.so.0(+0x110e0) [0x7ff55e8e80e0]
    2020-01-30T14:03:30.565566: [kopano-gateway|T2224] [crit   ] f4. /usr/lib/x86_64-linux-gnu/libssl.so.1.1(SSL_accept+0x1) [0x7ff55e2031a1]
    2020-01-30T14:03:30.565576: [kopano-gateway|T2224] [crit   ] f5. /usr/lib/x86_64-linux-gnu/libkcutil.so.0(_ZN2KC9ECChannel11HrEnableTLSEv+0x12e) [0x7ff55eb196ce]
    2020-01-30T14:03:30.565585: [kopano-gateway|T2225] [info   ] ECChannel::HrEnableTLS(): TLS flags 0xc0420854
    2020-01-30T14:03:30.565588: [kopano-gateway|T2224] [crit   ] f6. /usr/sbin/kopano-gateway(+0xcaa8) [0x56174074daa8]
    2020-01-30T14:03:30.565650: [kopano-gateway|T2224] [crit   ] f7. /lib/x86_64-linux-gnu/libpthread.so.0(+0x74a4) [0x7ff55e8de4a4]
    
    

    Best regards,
    Otto



  • BTW: when using IMAP instead of IMAPs (as a temporary workaround) everything works fine (as already supposed because of the obvious problem with libssl.so.1.1)
    Best regards,
    Otto



  • I built a test system and was able to start the kopano-gateway with this. After the hint that libssl is causing problems, I looked at the installed version and found that there is a newer version installed on the system where there are problems.

    $ apt-cache policy libssl1.1
    libssl1.1:
      Installiert:           1.1.1d-1+ubuntu18.04.1+deb.sury.org+2
      Installationskandidat: 1.1.1d-1+ubuntu18.04.1+deb.sury.org+2
      Versionstabelle:
     *** 1.1.1d-1+ubuntu18.04.1+deb.sury.org+2 500
            500 http://ppa.launchpad.net/ondrej/apache2/ubuntu bionic/main amd64 Packages
            100 /var/lib/dpkg/status
         1.1.1-1ubuntu2.1~18.04.5 500
            500 http://de.archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages
            500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages
         1.1.0g-2ubuntu4 500
            500 http://de.archive.ubuntu.com/ubuntu bionic/main amd64 Packages
    
    

    This version comes from an additionally installed repository, which is necessary for a newer Apache version.

    With the kopano core version 10.0.1.46.239b81c41-0+283.1 there are no such problems.



  • Hello,
    same for KC current master >10.0.1.78 on CentOS6 - see my post here.
    ++umgfoin



  • Merge conflict resolution was misapplied; resolved now.


Log in to reply